<template>
  <div class="paddedDiv">
    <div class="appContainer">
      <div class="textLabel">
        <span
          >Do you have any allergies/dietary restrictions we should be aware
          of?</span
        >
      </div>
      <div>
        <textarea
          class="customTextbox"
          @change="send"
          v-model="Restrictions"
          id="restrictions"
          rows="6"
          placeholder="Enter your allergies/dietary restrictions here:"
          name="dietaryrestrictions"
          maxLength="250"
        ></textarea>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "DietRestrictions",
  data: () => ({
    Restrictions: "",
  }),
  methods: {
    send: function () {
      this.$emit("inputData", this.Restrictions);
    },
  },
};
</script>

<style scoped>
@import "../css/StyledDiv.css";
</style>
